Bug 27330 - NB cannot be installed in a directory containing hash marks
NB cannot be installed in a directory containing hash marks
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Module System
3.x
PC Windows ME/2000
: P4 (vote)
: 3.x
Assigned To: Jesse Glick
issues@platform
: JDK_SPECIFIC, SPACE_IN_PATH
Depends on: 20830 29711
Blocks: 29935
  Show dependency treegraph
 
Reported: 2002-09-14 20:25 UTC by khiem77
Modified: 2009-11-07 13:32 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (9.76 KB, patch)
2002-11-05 21:10 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description khiem77 2002-09-14 20:25:20 UTC
Run IDE the 1st time: failed to install most of the modules


>Log Session: Freitag, 13. September 2002 14.01 Uhr CEST
>System Info: 
  Product Version       = NetBeans IDE 3.4
  IDE Versioning        = IDE/1 spec=2.23.1 
impl=200208222340
  Operating System      = Windows Me version 4.90 running 
on x86
  Java; VM; Vendor      = 1.4.0_01; Java HotSpot(TM) 
Client VM 1.4.0_01-b03; Sun Microsystems Inc.
  Java Home             = C:\J2SDK1.4.0_01\JRE
  System Locale; Encod. = de_DE; Cp1252
  Home Dir; Current Dir = C:\WINDOWS; 
C:\#Khiem\NetBeansIDE-release34\netbeans\bin
  IDE Install; User Dir = C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS; C:\WINDOWS\.netbeans\3.4
  CLASSPATH             = C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\patches\openide-
compat.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\core.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\openide.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\core-compiler.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34\NETBEANS\lib\core-
execution.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\core-ui.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\core-windows.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34\NETBEANS\lib\core-ide.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34
\NETBEANS\lib\ext\xerces.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34\NETBEANS\lib\ext\xml-
apis.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\ext\regexp.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34
\NETBEANS\lib\ext\terminalemulator.jar;C:\#KHIEM\NETBEANSID
E-RELEASE34
\NETBEANS\lib\ext\crimson.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34\NETBEANS\lib\ext\rmi-ext.jar;C:\j2sdk1.4.0_01
\lib\dt.jar;C:\j2sdk1.4.0_01\lib\tools.jar
  Boot & ext classpath  = C:\J2SDK1.4.0_01
\JRE\lib\rt.jar;C:\J2SDK1.4.0_01
\JRE\lib\i18n.jar;C:\J2SDK1.4.0_01
\JRE\lib\sunrsasign.jar;C:\J2SDK1.4.0_01
\JRE\lib\jsse.jar;C:\J2SDK1.4.0_01
\JRE\lib\jce.jar;C:\J2SDK1.4.0_01
\JRE\lib\charsets.jar;C:\J2SDK1.4.0_01
\JRE\classes;C:\J2SDK1.4.0_01
\JRE\lib\ext\dnsns.jar;C:\J2SDK1.4.0_01
\JRE\lib\ext\ldapsec.jar;C:\J2SDK1.4.0_01
\JRE\lib\ext\localedata.jar;C:\J2SDK1.4.0_01
\JRE\lib\ext\sunjce_provider.jar
-----------------------------------------------------------
--------------------
WARNING - the WizardDescriptor.Panel implementation 
org.netbeans.core.upgrade.PreUpgradePanel provides itself 
as the result of getComponent(). This can cause a clash 
when Component.isValid() is overridden. Please use a 
separate component class.
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:01:19 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] INFORMATIONAL *********** 
Exception occurred ************ at Fri Sep 13 14:01:19 
CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.javahelp]: Layer not found: 
org/netbeans/modules/javahelp/resources/layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:01:22 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] INFORMATIONAL *********** 
Exception occurred ************ at Fri Sep 13 14:01:22 
CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.properties]: Layer not found: 
org/netbeans/modules/properties/Layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:01:22 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] INFORMATIONAL *********** 
Exception occurred ************ at Fri Sep 13 14:01:23 
CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.jarpackager]: Layer not found: 
org/netbeans/modules/jarpackager/resources/mf-layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:01:23 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:190)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] INFORMATIONAL *********** 
Exception occurred ************ at Fri Sep 13 14:01:23 
CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.text]: Layer not found: 
org/netbeans/modules/text/Layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:01:23 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] INFORMATIONAL *********** 
Exception occurred ************ at Fri Sep 13 14:01:24 
CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.openidex.util]: Layer not found: 
org/openidex/resources/mf-layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:01:24 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] INFORMATIONAL *********** 
Exception occurred ************ at Fri Sep 13 14:01:25 
CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.html]: Layer not found: 
org/netbeans/modules/html/mf-layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:01:25 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] INFORMATIONAL *********** 
Exception occurred ************ at Fri Sep 13 14:01:26 
CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.autoupdate]: Layer not found: 
org/netbeans/modules/autoupdate/resources/mf-layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:01:26 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
[org.netbeans.core.modules] INFORMATIONAL *********** 
Exception occurred ************ at Fri Sep 13 14:01:27 
CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.projects]: Layer not found: 
org/netbeans/modules/projects/resources/projects-layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:519)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.installNew
(ModuleList.java:528)
	at org.netbeans.core.modules.ModuleList.trigger
(ModuleList.java:463)
	at 
org.netbeans.core.modules.ModuleSystem.scanForNewAndRestore
(ModuleSystem.java:271)
	at org.netbeans.core.NonGui.run(NonGui.java:554)
	at org.netbeans.core.Main.run(Main.java:244)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:396)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:81)
	at java.lang.Thread.run(Thread.java:536)
Turning on modules:
	org.openide/1 [2.23.1 200208222340]
	org.netbeans.core/1 [1.4.1 200208082340]
	org.netbeans.core.windows/1 [1.0.1 200208222340]
	org.netbeans.core.ui/1 [1.0.1 200208222340]
	org.netbeans.core.compiler/1 [1.0.1 200208222340]
	org.netbeans.core.execution/1 [1.0.1 200208222340]
	org.netbeans.core.ide/1 [1.0.1 200208222340]
Starting system in full screen (MDI) UI mode.
Serializable class java.util.TreeSet does not declare 
serialVersionUID field. Encountered while storing: 
[org.openide.util.SharedClassObject$WriteReplace, 
org.openide.loaders.DataLoaderPool$InstanceLoaderSystem, 
org.openide.loaders.DataLoaderPool$InstanceLoader, 
org.openide.loaders.UniFileLoader, 
org.openide.loaders.MultiFileLoader, 
org.openide.loaders.DataLoader, 
org.openide.util.SharedClassObject, java.lang.Integer, 
java.lang.Number, org.openide.loaders.ExtensionList] See 
also http://www.netbeans.org/issues/show_bug.cgi?id=19915
-----------------------------------------------------------
--------------------
>Log Session: Freitag, 13. September 2002 14.07 Uhr CEST
>System Info: 
  Product Version       = NetBeans IDE 3.4
  IDE Versioning        = IDE/1 spec=2.23.1 
impl=200208222340
  Operating System      = Windows Me version 4.90 running 
on x86
  Java; VM; Vendor      = 1.4.0_01; Java HotSpot(TM) 
Client VM 1.4.0_01-b03; Sun Microsystems Inc.
  Java Home             = C:\J2SDK1.4.0_01\JRE
  System Locale; Encod. = de_DE; Cp1252
  Home Dir; Current Dir = C:\WINDOWS; 
C:\#Khiem\NetBeansIDE-release34\netbeans\bin
  IDE Install; User Dir = C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS; C:\WINDOWS\.netbeans\3.4
  CLASSPATH             = C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\patches\openide-
compat.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\core.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\openide.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\core-compiler.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34\NETBEANS\lib\core-
execution.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\core-ui.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\core-windows.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34\NETBEANS\lib\core-ide.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34
\NETBEANS\lib\ext\xerces.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34\NETBEANS\lib\ext\xml-
apis.jar;C:\#KHIEM\NETBEANSIDE-RELEASE34
\NETBEANS\lib\ext\regexp.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34
\NETBEANS\lib\ext\terminalemulator.jar;C:\#KHIEM\NETBEANSID
E-RELEASE34
\NETBEANS\lib\ext\crimson.jar;C:\#KHIEM\NETBEANSIDE-
RELEASE34\NETBEANS\lib\ext\rmi-ext.jar;C:\j2sdk1.4.0_01
\lib\dt.jar;C:\j2sdk1.4.0_01\lib\tools.jar
  Boot & ext classpath  = C:\J2SDK1.4.0_01
\JRE\lib\rt.jar;C:\J2SDK1.4.0_01
\JRE\lib\i18n.jar;C:\J2SDK1.4.0_01
\JRE\lib\sunrsasign.jar;C:\J2SDK1.4.0_01
\JRE\lib\jsse.jar;C:\J2SDK1.4.0_01
\JRE\lib\jce.jar;C:\J2SDK1.4.0_01
\JRE\lib\charsets.jar;C:\J2SDK1.4.0_01
\JRE\classes;C:\J2SDK1.4.0_01
\JRE\lib\ext\dnsns.jar;C:\J2SDK1.4.0_01
\JRE\lib\ext\ldapsec.jar;C:\J2SDK1.4.0_01
\JRE\lib\ext\localedata.jar;C:\J2SDK1.4.0_01
\JRE\lib\ext\sunjce_provider.jar
-----------------------------------------------------------
--------------------
Turning on modules:
	org.netbeans.core/1 [1.4.1 200208082340]
	org.openide/1 [2.23.1 200208222340]
	org.netbeans.core.windows/1 [1.0.1 200208222340]
	org.netbeans.core.ui/1 [1.0.1 200208222340]
	org.netbeans.core.compiler/1 [1.0.1 200208222340]
	org.netbeans.core.execution/1 [1.0.1 200208222340]
	org.netbeans.core.ide/1 [1.0.1 200208222340]
Starting system in full screen (MDI) UI mode.
WARNING - the WizardDescriptor.Panel implementation 
org.netbeans.core.ui.IDESettingsPanel provides itself as 
the result of getComponent(). This can cause a clash when 
Component.isValid() is overridden. Please use a separate 
component class.
WARNING - the WizardDescriptor.Panel implementation 
org.netbeans.core.ui.ModuleSelectionPanel provides itself 
as the result of getComponent(). This can cause a clash 
when Component.isValid() is overridden. Please use a 
separate component class.
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:10:53 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.ui.ModuleBean] INFORMATIONAL 
*********** Exception occurred ************ at Fri Sep 13 
14:10:54 CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.jarpackager]: Layer not found: 
org/netbeans/modules/jarpackager/resources/mf-layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:10:54 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.ui.ModuleBean] INFORMATIONAL 
*********** Exception occurred ************ at Fri Sep 13 
14:10:55 CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.properties]: Layer not found: 
org/netbeans/modules/properties/Layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:10:55 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.ui.ModuleBean] INFORMATIONAL 
*********** Exception occurred ************ at Fri Sep 13 
14:10:56 CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.openidex.util]: Layer not found: 
org/openidex/resources/mf-layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:10:56 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:190)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.ui.ModuleBean] INFORMATIONAL 
*********** Exception occurred ************ at Fri Sep 13 
14:10:57 CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.text]: Layer not found: 
org/netbeans/modules/text/Layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:10:57 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.ui.ModuleBean] INFORMATIONAL 
*********** Exception occurred ************ at Fri Sep 13 
14:10:57 CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.projects]: Layer not found: 
org/netbeans/modules/projects/resources/projects-layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:10:58 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.ui.ModuleBean] INFORMATIONAL 
*********** Exception occurred ************ at Fri Sep 13 
14:10:58 CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.autoupdate]: Layer not found: 
org/netbeans/modules/autoupdate/resources/mf-layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:10:58 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.ui.ModuleBean] INFORMATIONAL 
*********** Exception occurred ************ at Fri Sep 13 
14:11:00 CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.javahelp]: Layer not found: 
org/netbeans/modules/javahelp/resources/layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.modules] *********** Exception occurred 
************ at Fri Sep 13 14:11:00 CEST 2002
java.net.MalformedURLException: no !/ in spec
	at java.net.URL.<init>(URL.java:613)
	at java.net.URL.<init>(URL.java:476)
	at java.net.URL.<init>(URL.java:425)
[catch] at 
org.netbeans.core.modules.JarClassLoader.findResource
(JarClassLoader.java:203)
	at 
org.netbeans.core.modules.ProxyClassLoader.getResource
(ProxyClassLoader.java:213)
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:155)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
[org.netbeans.core.ui.ModuleBean] INFORMATIONAL 
*********** Exception occurred ************ at Fri Sep 13 
14:11:00 CEST 2002
org.netbeans.core.modules.InvalidException: Module
[org.netbeans.modules.html]: Layer not found: 
org/netbeans/modules/html/mf-layer.xml
	at org.netbeans.core.modules.NbInstaller.prepare
(NbInstaller.java:156)
	at org.netbeans.core.modules.ModuleManager.enable
(ModuleManager.java:607)
[catch] at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:694)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.doEnable
(ModuleBean.java:711)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean.access$1100
(ModuleBean.java:261)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:525)
	at org.openide.util.Mutex.writeAccess
(Mutex.java:328)
	at 
org.netbeans.core.ui.ModuleBean$AllModulesBean$Updater.run
(ModuleBean.java:454)
	at org.openide.util.Task.run(Task.java:136)
	at org.openide.util.RequestProcessor$Processor.run
(RequestProcessor.java:599)
Serializable class java.util.TreeSet does not declare 
serialVersionUID field. Encountered while storing: 
[org.openide.util.SharedClassObject$WriteReplace, 
org.openide.loaders.DataLoaderPool$InstanceLoaderSystem, 
org.openide.loaders.DataLoaderPool$InstanceLoader, 
org.openide.loaders.UniFileLoader, 
org.openide.loaders.MultiFileLoader, 
org.openide.loaders.DataLoader, 
org.openide.util.SharedClassObject, java.lang.Integer, 
java.lang.Number, org.openide.loaders.ExtensionList] See 
also http://www.netbeans.org/issues/show_bug.cgi?id=19915
Comment 1 Jesse Glick 2002-09-16 16:17:08 UTC
Do not install NetBeans in a directory whose name includes the '#'
character as it will completely break anything that works with URLs.

It may be possible to fix this problem if and only if you are using
JDK 1.4.0 (not possible on 1.3.1). Will evaluate for NB 4.0.
JarClassLoader etc. should use URI if possible.
Comment 2 Jesse Glick 2002-11-05 21:10:15 UTC
Created attachment 7859 [details]
Proposed patch
Comment 3 Jesse Glick 2002-11-05 21:12:23 UTC
The attached patch seems to work for me on Linux. Passing to Petr to
check whether it runs OK on Windows, and commit if so.
Comment 4 Jesse Glick 2002-12-24 16:40:30 UTC
Introducing new API in #29711 to deal with File <-> URL conversion.
Comment 5 Jesse Glick 2002-12-24 18:56:47 UTC
Will not try to solve for JDK 1.3; too hard. Also will not try to
solve for all characters; '!' in particular is problematic since even
JDK 1.4, in JarURLConnection, assumes that a jar: URL contains one and
only one '!', and File.toURI() does not escape '!'.
Comment 6 Jesse Glick 2002-12-24 19:18:45 UTC
Looks like it can be fixed for 1.4.0 and 1.4.1 but not 1.4.2 (without
-J-Dnetbeans.security.nocheck=true; problems with security policy
file). I will try to file a bug.
Comment 7 Jesse Glick 2002-12-24 20:20:02 UTC
Patch does not fully work under Mantis with manual edits to
ide.policy: BugTraq #4797850
Comment 8 Jesse Glick 2002-12-24 21:46:31 UTC
Fixed; tested on Linux with 1.4.0_01 and 1.4.1_01.

committed   * Up-To-Date  1.12        core/manifest.mf
committed   * Up-To-Date  1.6        
core/bootstrap/src/org/netbeans/JarClassLoader.java
committed   * Up-To-Date  1.6        
core/bootstrap/src/org/netbeans/Main.java
committed   * Up-To-Date  1.13        core/javahelp/manifest.mf
committed   * Up-To-Date  1.7        
core/javahelp/src/org/netbeans/modules/javahelp/NbDocsStreamHandler.java
committed   * Up-To-Date  1.4         core/localfs/manifest.mf
committed   * Up-To-Date  1.4        
core/localfs/src/org/netbeans/modules/localfs/HostURLMapper.java
committed   * Up-To-Date  1.90       
core/src/org/netbeans/core/NonGui.java
committed   * Up-To-Date  1.7        
core/src/org/netbeans/core/modules/HelpHelper.java
committed   * Up-To-Date  1.43       
core/src/org/netbeans/core/modules/Module.java
committed   * Up-To-Date  1.51       
core/src/org/netbeans/core/modules/ModuleManager.java
committed   * Up-To-Date  1.25       
core/src/org/netbeans/core/projects/ModuleLayeredFileSystem.java
committed   * Up-To-Date  1.5        
core/src/org/netbeans/core/projects/cache/XMLLayerCacheManagerImpl.java
committed   * Up-To-Date  1.13       
openide/src/org/openide/filesystems/URLMapper.java
Comment 9 Jesse Glick 2003-01-06 21:41:59 UTC
Should work with Mantis release too; cf. #4797850 resolution.
Comment 10 Jesse Glick 2003-01-07 16:01:48 UTC
Also need:

committed     Up-To-Date  1.26       
core/src/org/netbeans/core/projects/ModuleLayeredFileSystem.java

to correct a regression introduced in 1.25.
Comment 11 Marian Mirilovic 2005-07-13 13:20:42 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo